<?

include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");
$_title = '::LinEagE2::';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {
switch($go) {
default:
$u = explode(".",$login);
if(@file("L2dbnam/esql2db/mod/$log.dat")){
echo"<small><a href=\"editionforum.php?log=$log&amp;pas=$pas\">Модерировать форум</a></small><br/>";}
if(@file("L2dbnam/esql2db/admin/$log.dat")){
echo"<small><a href=\"forum.php?log=$log&amp;pas=$pas&amp;go=addforum\">Добавить форум</a></small><br/>";
}

$text = @file("L2dbnam/esql2db/forum/count.dat");
$udata = explode("||",$text[0]);
$count=trim($udata[0]);
for($i=0; $i<$count; $i++){

$text = @file("L2dbnam/esql2db/forum/$i/name.dat");
$udata = explode("||",$text[0]);
$name=trim($udata[0]);
$tem=trim($udata[1]);
$msg=trim($udata[2]);

echo"<small><br/><a href=\"forum.php?$sd\">$name</a> [$tem/$msg]</small>";

}

break;

case 'addforum':

$u = explode(".",$login);

if(@file("L2dbnam/esql2db/admin/$log.dat")){

echo "<small>Название форума:</small><br/>";
echo "<form action=\"forum.php?log=$log&amp;pas=$pas&amp;go=saveforum\" method=\"post\">";
echo "<input type=\"text\" name=\"nameforum\" maxlength=\"14\"/>";
echo "<input class=\"ibutton\" type=\"submit\" value=\"Далее\"/>".$divK."</form><br/>";
}else{echo"<small>Вам сюда доступ запрещен!</small>";}
break;

case 'saveforum':

$u = explode(".",$login);

if(@file("L2dbnam/esql2db/admin/$log.dat")){

$text = @file("L2dbnam/esql2db/forum/count.dat");
$udata = explode("||",$text[0]);
$count=trim($udata[0]);

$newdir=mkdir("L2dbnam/esql2db/forum/$count",0777);
if($newdir){echo"<small>Создание форума - OK.</small>";}else{
echo"<small>Создание форум - ERROR.</small>";}

$fp=fopen("L2dbnam/esql2db/forum/$count/name.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$nameforum||0||0||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$count=$count+1;

$fp=fopen("L2dbnam/esql2db/forum/count.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$count||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}else{echo"<small>Вам сюда доступ запрещен!</small>";}
break;

case 'forum':

$id = htmlspecialchars(stripslashes(addslashes($id)));

if(!@file("L2dbnam/esql2db/forum/$id/name.dat")){echo"<small>Такой подфорум несуществует!</small>";include_once"inclydings/down.php";exit;}


$text = @file("L2dbnam/esql2db/forum/$id/name.dat");

$udata = explode("||",$text[0]);
$name=trim($udata[0]);
$tem=trim($udata[1]);
$msg=trim($udata[2]);
echo"<small><a href=\"forum.php?log=$log&amp;pas=$pas&amp;go=addtem&amp;id=$id\">Новая тема</a><br/>
[<a href=\"forum.php?log=$log&pas=$pas&go=addtem&name=$id\">Предупредить</a>]- - -</small><br/>";


if($tem=="0"){echo"<small>Форум пуст.</small>"; include_once"inclydings/down.php"; exit;}


for($i=0; $i<$tem; $i++){


$text = @file("L2dbnam/esql2db/forum/$id/$i.dat");
$count=count($text);
$count=$count-1;
$udata = explode("||",$text[0]);
$udata2 = explode("||",$text[1]);

$kol[]=$count;
$date[]=$udata2[2];
$nick[]=$udata2[0];
$topic[]=$udata[0];
$sort[]=$udata2[3];
$nomer[]=$i;
arsort($sort);
}

foreach($sort as $k=>$v)
{$name=$nick[$k];	$tema=$topic[$k];
$datet=$date[$k]; $i=$nomer[$k];
$num=$kol[$k];


$u = explode(".",$login);


$data[]="<small><a href=\"search.php?log=$log&amp;pas=$pas&amp;go=go&amp;nick=$name\">$name</a> $datet<br/><a href=\"forum.php?log=$log&amp;pas=$pas&amp;go=tema&amp;id=$id&amp;tema=$i\">$tema</a> ($num)<br/></small>";
}

if ($start=="") {$start = 0;}
if ($tem < $start + 10){ $end = $tem; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo $data[$i];
}


if ($start != 0) {echo '<small><a href="forum.php?$sd">--></a></small> ';}else{echo'<small>- - - -</small><br/>';}

if ($tem > $start + 10) {echo ' <small><a href="forum.php?$sd"><--</a></small>';}



break;

case 'addtem':
$id = htmlspecialchars(stripslashes(addslashes($id)));

if($udata[36]=="on"){echo"<small>Вы забанены!</small></p></card></wml>"; exit;}


echo "<small>Название темы:</small><br/>";
echo "<form action=\"forum.php?$sd\" method=\"post\">";
echo "<input type=\"text\" name=\"name\" maxlength=\"14\"/><br/>";
echo "<small>Сообщение:</small><br/>";
echo "<input type=\"text\" name=\"msg\" maxlength=\"100\"/><br/>";
echo "<br/>";
echo "<input class=\"ibutton\" type=\"submit\" value=\"Далее\"/>".$divK."</form><br/>";
break;

case 'savetem':



if(empty($name)){echo"<small>Вы не ввели название темы!</small>"; include_once"inclydings/down.php"; exit;}
if(empty($msg)){echo"<small>Вы не ввели сообщение!</small>"; include_once"inclydings/down.php"; exit;}

if ($name=="" || strlen($name) > 14 || strlen($name) < 5) { echo"<small>Тема длинная или короткая!</small>"; include_once"inclydings/down.php"; exit;}

if ($msg=="" || strlen($msg) > 300 || strlen($msg) < 5) { echo"<small>Сообщение длинное или короткое!</small>"; include_once"inclydings/down.php"; exit;}


$id = htmlspecialchars(stripslashes(addslashes($id)));

$text = @file("L2dbnam/esql2db/forum/$id/name.dat");
$udata = explode("||",$text[0]);
$forum=trim($udata[0]);
$tem=trim($udata[1]);
$msgg=trim($udata[2]);

$date=date("d.m.y");
$time=date("H:i");
$sort=time();

$msg = htmlspecialchars(stripslashes(addslashes($msg)));

$fp=fopen("L2dbnam/esql2db/forum/$id/$tem.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$name||\r\n$log||$msg||[$time/$date]||$sort||\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$tem=$tem+1;
$msgg=$msgg+1;

$fp=fopen("L2dbnam/esql2db/forum/$id/name.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$forum||$tem||$msgg||\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


echo"<small>Тема успешно создана.</small><br/>";
echo"<small><a href=\"forum.php?log=$log&amp;pas=$pas&amp;go=forum&amp;id=$id\">Продолжить</a></small>";

break;

case 'tema':

$id = htmlspecialchars(stripslashes(addslashes($id)));
$tema = htmlspecialchars(stripslashes(addslashes($tema)));

if(!@file("L2dbnam/esql2db/forum/$id/$tema.dat")){echo"<small>Такой темы не существует!</small>"; include_once"inclydings/down.php";exit;}

$text = file("L2dbnam/esql2db/forum/$id/$tema.dat");
$count=count($text);


if (empty($_GET['start'])) $start = 1;
else $start = $_GET['start'];
if ($count < $start + 10){ $end = $count; }
else {$end = $start + 10; }

for($i=$start; $i<$end; $i++){

$text = file("L2dbnam/esql2db/forum/$id/$tema.dat");
$udata = explode("||",$text[$i]);

$udata[1]=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $udata[1]);
$udata[1]=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $udata[1]);


echo"<small><a href=\"search.php?log=$log&amp;pas=$pas&amp;go=go&amp;nick=$udata[0]\">$udata[0]</a> $udata[2]<br/>$udata[1]</small><br/>";

}
if ($start != 1) {echo '<small><a href="forum.php?start='.($start - 10).'&amp;log='.$log.'&amp;pas='.$pas.'&amp;id='.$id.'&amp;tema='.$tema.'&amp;go=tema"><--</a></small> ';}else{echo'<small>- - - -</small><br/>';}

if ($count > $start + 10) {echo ' <small><a href="forum.php?start='.($start + 10).'&amp;log='.$log.'&amp;pas='.$pas.'&amp;id='.$id.'&amp;tema='.$tema.'&amp;go=tema">--></a></small>';}

echo"<br/><small><a href=\"forum.php?log=$log&amp;pas=$pas&amp;go=msg&amp;id=$id&amp;tema=$tema\">Ответить</a></small>";



break;

case 'msg':

$id = htmlspecialchars(stripslashes(addslashes($id)));
$tema = htmlspecialchars(stripslashes(addslashes($tema)));

if(!@file("L2dbnam/esql2db/forum/$id/$tema.dat")){echo"<small>Такой темы не существует!</small>";include_once"inclydings/down.php";exit;}


echo "<small>Сообщение:</small><br/>";
echo "<form action=\"forum.php?log=$log&amp;pas=$pas&amp;go=addmsg&amp;id=$id&amp;tema=$tema\" method=\"post\">";
echo "<input type=\"text\" name=\"msg\" maxlength=\"300\"/><br/>";
echo "<input class=\"ibutton\" type=\"submit\" value=\"Далее\"/>".$divK."</form><br/>";
break;

case 'addmsg':

$id = htmlspecialchars(stripslashes(addslashes($id)));
$tema = htmlspecialchars(stripslashes(addslashes($tema)));

if(!@file("L2dbnam/esql2db/forum/$id/$tema.dat")){echo"<small>Такой темы не существует!</small>";include_once"inclydings/down.php";exit;}

$msg = htmlspecialchars(stripslashes(addslashes($msg)));
if ($msg=="" || strlen($msg) > 300 || strlen($msg) < 5) { echo"<small>Сообщение длинное или короткое!</small>"; include_once"inclydings/down.php"; exit;}

$date=date("d.m.y");
$time=date("H:i");
$sort=time();

$msg=str_replace("|","",$msg);

$fp=fopen("L2dbnam/esql2db/forum/$id/$tema.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$log||$msg||[$time/$date]||$sort||\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$text = @file("L2dbnam/esql2db/forum/$id/name.dat");
$udata = explode("||",$text[0]);
$forum=trim($udata[0]);
$tem=trim($udata[1]);
$msgg=trim($udata[2]);

$msgg=$msgg+1;

$fp=fopen("L2dbnam/esql2db/forum/$id/name.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$forum||$tem||$msgg||\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


echo"<small>Сообщение добавлено.</small><br/>";
echo"<small><a href=\"forum.php?log=$log&amp;pas=$pas&amp;go=forum&amp;id=$id\">Продолжить</a></small>";

break;

case 'deltem':

$u = explode(".",$login);

if(@file("L2dbnam/esql2db/moder/$log.dat")){



$flag=stripslashes($flag);
$flag=htmlspecialchars($flag);
$flag=str_replace("\\","",$flag);
$flag=str_replace("/","",$flag);
$flag=str_replace("|","",$flag);
$flag=str_replace("$","",$flag);
$flag=str_replace("&","",$flag);
$flag=str_replace("<","",$flag);
$flag=str_replace(">","",$flag);
$flag = @unlink ("L2dbnam/esql2db/forum/$id/$num.dat");

//////////////////////////////////

if($flag)
{
echo"<small>Тема успешно удалена.</small>";
}else{ print"<small>Ошибка при удалении темы.</small>"; }

$text = @file("L2dbnam/esql2db/forum/$id/name.dat");
$udata = explode("||",$text[0]);
$forum=trim($udata[0]);
$tem=trim($udata[1]);
$msgg=trim($udata[2]);

$msgg=$msgg-1;
$tem=$tem-1;

$fp=fopen("L2dbnam/esql2db/forum/$id/name.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$forum||$tem||$msgg||\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Доступ запрещен!";}


break;



}
echo"<hr>";
include_once"inclydings/xtotut.php";
if(@file("L2dbnam/esql2db/tmp/$log.dat")){echo"<br/>- - -<br/>[<a href=\"ok.php?$sd\">Вернуться в бой</a>]<br/>";}else{echo"<br/>- - -<br/>";}
echo'» <img src="pik4erspic/mini/inv.gif" alt=pic> <a href="inventar.php?'.$sd.'">Инвентарь <a href="itemall.php?'.$sd.'">[i]</a><br/>';
echo'» <img src="pik4erspic/mini/gor.png" alt=pic> <a href="town.php?'.$sd.'">В город</a><br/>';
if(!empty($udata[98])){echo'» <img src="pik4erspic/mini/xswords.png" alt=pic> <a href="okrestnosti.php?'.$sd.'">В окрестности</a><br/>';}
if(!empty($udata[23])){echo'» <img src="pik4erspic/mini/clanroom.png" alt=pic> <a href="clanroom.php?'.$sd.'">Комната клана</a><br/>';}
if(@file("L2dbnam/esql2db/ali/names/$udata[23].dat") || @file("L2dbnam/esql2db/ali/$log.dat")){echo'» <img src="pik4erspic/mini/ali.png" alt=pic> <a href="aliroom.php?'.$sd.'">Альянс комната</a><br/>';}
echo'» <img src="pik4erspic/mini/chat.png" alt=pic> <a href="chat.php?'.$sd.'">Общий Чат</a><br/>';
echo'» <img src="pik4erspic/mini/mmenu.png" alt=pic> <a href="main.php?'.$sd.'">Моё меню</a><br/><br/>';

}else{echo"Пароль или логин неверен!";}
include_once"inclydings/online.php";


echo'</div></td>
<td class="r"></td>
</tr>
<tr>
<td class="lb"></td>
<td valign="top" class="bb"></td>
<td class="rb"></td>';
echo "</tr></table></body></html>";
?>






